#include <stdio.h>

/*

  To convert from Celsius to Fahrenheit or Fahrenheit to Celsius:


  c2f -f [number]  Fahrenheit to Celsius

or

  c2f -c [number]  Celsius to Fahrenheit

*/


int main (
  int argc,
  char *argv[]
  )

{
float tempc = 0L;
float tempf = 0L;


if (
  (argc == 3) &&
  (strcmp(argv[1],"-c") == 0)
  )
  {
  sscanf(argv[2],"%f",&tempc);
  printf("%.1f Celsius converts to %.1f Fahrenheit\n",
    tempc,((9.0/5.0 * (tempc + 40.0)) - 40.0));
  return(0);
  } /* if */
else if (
  (argc == 3) &&
  (strcmp(argv[1],"-f") == 0)
  )
  {
  sscanf(argv[2],"%f",&tempf);
  printf("%.1f Fahrenheit converts to %.1f Celsius\n",
    tempf, ((5.0/9.0 * (tempf + 40.0)) - 40.0));
  return(0);
  } /* else if */
else {
  printf("Usage: %s -c [number] to convert Celsius to Fahrenheit or:\n",argv[0]);
  printf("Usage: %s -f [number] to convert Fahrenheit to Celsius\n",argv[0]);
  return(1);
  } /* else */
} /* main */
